Expenses
Create Hris Expense Report
Creates a DRAFT expense report denominated in the employee's contract currency.
POSThttps://api.toku.com/hris/create-hris-expense-report
Not available to API keys yet. It will need expenses:write.
curl --request POST \
--url 'https://api.toku.com/hris/create-hris-expense-report' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"startDate": "2026-01-01T00:00:00Z",
"endDate": "2026-01-01T00:00:00Z",
"expensedCurrencyID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reimbursementCurrencyID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"justification": "string"
}'200 response
{
"hrisExpenseReportID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
roleInOrgIDstring<uuid>namestringrequiredAllowed: 1 to 200 characters
startDatestring<date-time>requiredendDatestring<date-time>expensedCurrencyIDstring<uuid>reimbursementCurrencyIDstring<uuid>justificationstringNOTE(ck): a .transform() rule is not mirrored here; TGA still enforces it
Response
200Successful response
hrisExpenseReportIDstring<uuid>required400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits